package com.base.track.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.base.track.model.entity.TrbutAntennaData;
import com.base.track.model.entity.VisualData;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Update;

import java.util.List;


@Mapper
public interface TrbutAntennaDataMapper extends BaseMapper<TrbutAntennaData> {

    default List<TrbutAntennaData> selTrbutAntennasByIds(List<String> trbutIds) {
        QueryWrapper queryWrapper = new QueryWrapper();
        queryWrapper.in("trbut_id", trbutIds);
        return this.selectList(queryWrapper);
    }

    @Update({"update trbut_antenna_data set ident=0 where trbut_id=#{trbutDataId}"})
    int updateDataByVo(VisualData visualData);
}
